Skip to main content
GET
/
team-members
List all team members
curl --request GET \
  --url https://{your-subdomain}.neetodesk.com/api/external/v2/team-members \
  --header 'X-Api-Key: <x-api-key>'
{
  "team_members": [
    {
      "id": "aaaabbbb-cccc-dddd-eeee-ffff00001111",
      "email": "oliver@example.com",
      "first_name": "Oliver",
      "last_name": "Smith",
      "time_zone": "Asia/Kolkata",
      "profile_image_url": "https://example.com/avatar.png",
      "organization_role": "Admin",
      "active": true
    }
  ],
  "pagination": {
    "total_records": 95,
    "total_pages": 4,
    "current_page_number": 1,
    "page_size": 30
  }
}
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Identifying subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

X-Api-Key is used to authenticate requests using an API key. Provide your API key in this header to access protected endpoints. Refer to Authentication for more information.

Query Parameters

page_number
integer

Retrieve paginated results by specifying the desired page number. If this parameter is absent, all results will be returned.

page_size
integer

Set the number of results returned in the response. Defaulting to 30 when omitted.

email
string

Filter team members by email address.

Response

200 - application/json

OK - Request succeeded

team_members
object[]
pagination
object